package services

import (
	"evening_detective/internal/models"
	"evening_detective/internal/services/story_service"
	"evening_detective/proto"
)

func mapTeamsToTeamAdvanced(team *models.Team) *proto.TeamAdvanced {
	return &proto.TeamAdvanced{
		Id:   team.ID,
		Name: team.Name,
	}
}

func mapTeamsToTeamFull(team *models.Team) *proto.TeamFull {
	return &proto.TeamFull{
		Id:       team.ID,
		Name:     team.Name,
		Password: team.Password,
	}
}

func mapProtoTeamsToTeam(team *proto.Team) *models.Team {
	return &models.Team{
		Name: team.Name,
	}
}

func mapActionToProtoAction(action *models.Action) *proto.Action {
	return &proto.Action{
		Id:    action.ID,
		Place: action.Place,
	}
}

func mapApplicationToProtoApplication(application *story_service.Application) *proto.Application {
	return &proto.Application{
		Name: application.Name,
	}
}
